import 'package:flutter_smartlook/src/const_channels.dart';

/// User interaction events like touch.
class Interaction {
  const Interaction();

  /// Enable track of user rage clicks
  Future<void> setRageClickEnabled(bool enabled) async {
    await Channels.channel.invokeMethod(
        'setEventTrackingInteractionRageClickStatus', {"rageClick": enabled});
  }

  /// Enable touch event
  Future<void> setTrackUserInteraction(bool enabled) async {
    await Channels.channel.invokeMethod(
        'setEventTrackingInteractionUserStatus', {"track": enabled});
  }
}
