import 'dart:collection';

/// Custom properties
class Properties {
  final Map<String, dynamic> _map = HashMap();

  Properties();

  /// Put a [value] using [name] inside a map.
  Future<void> putString(String name, {String? value}) async {
    _map[name] = value;
  }

  /// Get a value from a map using a [name].
  String? getString(String name) {
    if (_map.containsKey(name)) {
      return _map[name];
    }
    return null;
  }

  /// Remove a single value using a [name].
  Future<void> removeString(String name) async {
    _map.remove(name);
  }

  /// Remove all values
  Future<void> clear() async {
    _map.clear();
  }

  Map<String, dynamic> toJson() => _map;
}
